Namespaces | Functions
libebook_xml.h File Reference

Go to the source code of this file.

## Namespaces
| libebook

## Functions
int | ebookXMLReadFromStream (void *context, char *buffer, int len)
int | ebookXMLCloseStream (void *context)
const char * | libebook::char_cast (const char *const c)
const char * | libebook::char_cast (const signed char *const c)
const char * | libebook::char_cast (const unsigned char *const c)
const char ** | libebook::char_array_cast (const char **const c)
const char ** | libebook::char_array_cast (const signed char **const c)
const char ** | libebook::char_array_cast (const unsigned char **const c)

## Function Documentation

## § ebookXMLCloseStream()

int ebookXMLCloseStream | ( | void * | context | ) |

Referenced by libebook::FB2Parser::parse(), and libebook::EBOOKXMLParser::parse().

## § ebookXMLReadFromStream()

int ebookXMLReadFromStream | ( | void * | context,
|  | char * | buffer,
|  | int | len
| ) |  |

Referenced by libebook::FB2Parser::parse(), and libebook::EBOOKXMLParser::parse().